edu.wpi.first.wpilibj.hal

## Class SolenoidJNI

- java.lang.Object
- - edu.wpi.first.wpilibj.hal.JNIWrapper
  - - edu.wpi.first.wpilibj.hal.SolenoidJNI

-     public class SolenoidJNI
      extends JNIWrapper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolenoidJNI()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `checkSolenoidChannel(int channel)`
    `static boolean` | `checkSolenoidModule(int module)`
    `static void` | `clearAllPCMStickyFaults(int module)`
    `static void` | `freeSolenoidPort(int portHandle)`
    `static int` | `getAllSolenoids(int module)`
    `static int` | `getPCMSolenoidBlackList(int module)`
    `static boolean` | `getPCMSolenoidVoltageFault(int module)`
    `static boolean` | `getPCMSolenoidVoltageStickyFault(int module)`
    `static boolean` | `getSolenoid(int portHandle)`
    `static int` | `initializeSolenoidPort(int halPortHandle)`
    `static void` | `setSolenoid(int portHandle, boolean on)`

    - ### Methods inherited from class edu.wpi.first.wpilibj.hal.JNIWrapper

      `getPort, getPortWithModule`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SolenoidJNI

          public SolenoidJNI()

  - ### Method Detail

    - #### initializeSolenoidPort

          public static int initializeSolenoidPort(int halPortHandle)

    - #### checkSolenoidModule

          public static boolean checkSolenoidModule(int module)

    - #### checkSolenoidChannel

          public static boolean checkSolenoidChannel(int channel)

    - #### freeSolenoidPort

          public static void freeSolenoidPort(int portHandle)

    - #### setSolenoid

          public static void setSolenoid(int portHandle,
                                         boolean on)

    - #### getSolenoid

          public static boolean getSolenoid(int portHandle)

    - #### getAllSolenoids

          public static int getAllSolenoids(int module)

    - #### getPCMSolenoidBlackList

          public static int getPCMSolenoidBlackList(int module)

    - #### getPCMSolenoidVoltageStickyFault

          public static boolean getPCMSolenoidVoltageStickyFault(int module)

    - #### getPCMSolenoidVoltageFault

          public static boolean getPCMSolenoidVoltageFault(int module)

    - #### clearAllPCMStickyFaults

          public static void clearAllPCMStickyFaults(int module)